<mat-toolbar>Búsqueda de Agencia</mat-toolbar>

<form [formGroup]="form" (ngSubmit)="buscar()">
  <mat-form-field>
    <input matInput placeholder="Agencia" formControlName="agencia">
  </mat-form-field> 

  <button mat-raised-button color="primary" type="submit">Buscar</button>
</form>


<mat-table [dataSource]="dataSource">

  <ng-container matColumnDef="agencia">
    <mat-header-cell *matHeaderCellDef> Agencia </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.agencia}}</mat-cell>
  </ng-container>
 
  <ng-container matColumnDef="departamento">
    <mat-header-cell *matHeaderCellDef> Departamento </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.departamento}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="provincia">
    <mat-header-cell *matHeaderCellDef> Provincia </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.provincia}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="distrito">
    <mat-header-cell *matHeaderCellDef> Distrito </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.distrito}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="direccion">
    <mat-header-cell *matHeaderCellDef> Direccion </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.direccion}}</mat-cell>
  </ng-container>

  <!--
  <ng-container matColumnDef="lat">
    <mat-header-cell *matHeaderCellDef> Lat </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.lat}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="lon">
    <mat-header-cell *matHeaderCellDef> Lon </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element.lon}}</mat-cell>
  </ng-container>
-->

  <ng-container matColumnDef="acciones">
    <mat-header-cell *matHeaderCellDef>Acciones</mat-header-cell>
    <mat-cell *matCellDef="let element">
      <button type="button" mat-raised-button color="primary" (click)="verDetalle(element)">Ver</button>
    </mat-cell>
  </ng-container>

  <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
  <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
</mat-table>

